net.sf.jasperreports.crosstabs.fill

## Class JRCrosstabExpressionEvaluator

- java.lang.Object
- - net.sf.jasperreports.crosstabs.fill.JRCrosstabExpressionEvaluator

- All Implemented Interfaces:
    JRFillExpressionEvaluator

      public class JRCrosstabExpressionEvaluator
      extends java.lang.Object
      implements JRFillExpressionEvaluator

  Expression evaluator used for crosstabs at fill time.
  Version:
    $Id: JRCrosstabExpressionEvaluator.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRCrosstabExpressionEvaluator(JREvaluator evaluator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `evaluate(JRExpression expression, byte evaluationType)` Evaluates an expression.
    `JRFillDataset` | `getFillDataset()` Returns the dataset used by the expression evaluator.
    `void` | `init(java.util.Map<java.lang.String,JRFillParameter> parametersMap, java.util.Map<java.lang.String,JRFillVariable> variablesMap, WhenResourceMissingTypeEnum whenResourceMissingType)`
    `void` | `setFillDataset(JRFillDataset dataset)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JRCrosstabExpressionEvaluator

          public JRCrosstabExpressionEvaluator(JREvaluator evaluator)

  - ### Method Detail

    - #### evaluate

          public java.lang.Object evaluate(JRExpression expression,
                                  byte evaluationType)
                                    throws JRException

      Description copied from interface: `JRFillExpressionEvaluator`
      Evaluates an expression.
      Specified by:
        `evaluate` in interface `JRFillExpressionEvaluator`
      Parameters:
        `expression` - the expression to evaluate
        `evaluationType` - one of `JRExpression.EVALUATION_DEFAULT`, `JRExpression.EVALUATION_OLD`, `JRExpression.EVALUATION_ESTIMATED`
      Returns:
        the result
      Throws:
        `JRException`

    - #### init

          public void init(java.util.Map<java.lang.String,JRFillParameter> parametersMap,
                  java.util.Map<java.lang.String,JRFillVariable> variablesMap,
                  WhenResourceMissingTypeEnum whenResourceMissingType)
                    throws JRException

      Throws:
        `JRException`

    - #### setFillDataset

          public void setFillDataset(JRFillDataset dataset)

    - #### getFillDataset

          public JRFillDataset getFillDataset()

      Description copied from interface: `JRFillExpressionEvaluator`
      Returns the dataset used by the expression evaluator.
      Specified by:
        `getFillDataset` in interface `JRFillExpressionEvaluator`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com